% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/addIdRecords.R
\name{addIdRecords}
\alias{addIdRecords}
\title{addIdRecords Adds Ego records added having NAs for parent IDs}
\usage{
addIdRecords(ids, fullPed, partialPed)
}
\arguments{
\item{ids}{character vector of IDs to be added as Ego records having
NAs for parent IDs}

\item{fullPed}{a trimmed pedigree}

\item{partialPed}{a trimmed pedigree dataframe with uninformative founders
removed.}
}
\value{
Pedigree with Ego records added having NAs for parent IDs
}
\description{
addIdRecords Adds Ego records added having NAs for parent IDs
}
\examples{
uPedOne <- data.frame(
  id = c("d1", "s2", "d2", "o1", "o2", "o3", "o4"),
  sire = c("s0", "s4", NA, "s1", "s1", "s2", "s2"),
  dam = c("d0", "d4", NA, "d1", "d2", "d2", "d2"),
  sex = c("F", "M", "F", "F", "F", "F", "M"),
  stringsAsFactors = FALSE
)
pedOne <- data.frame(
  id = c("s1", "d1", "s2", "d2", "o1", "o2", "o3", "o4"),
  sire = c(NA, "s0", "s4", NA, "s1", "s1", "s2", "s2"),
  dam = c(NA, "d0", "d4", NA, "d1", "d2", "d2", "d2"),
  sex = c("M", "F", "M", "F", "F", "F", "F", "M"),
  stringsAsFactors = FALSE
)
pedOne[!pedOne$id \%in\% uPedOne$id, ]
newPed <- addIdRecords(ids = "s1", pedOne, uPedOne)
pedOne[!pedOne$id \%in\% newPed$id, ]
newPed[newPed$id == "s1", ]

}
