% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/addSexAndAgeToGroup.R
\name{addSexAndAgeToGroup}
\alias{addSexAndAgeToGroup}
\title{Forms a dataframe with Id, Sex, and current Age given a list of Ids and a
pedigree}
\usage{
addSexAndAgeToGroup(ids, ped)
}
\arguments{
\item{ids}{character vector of animal Ids}

\item{ped}{datatable that is the \code{Pedigree}. It contains pedigree
information including the IDs listed in \code{candidates}.}
}
\value{
Dataframe with Id, Sex, and Current Age
}
\description{
Forms a dataframe with Id, Sex, and current Age given a list of Ids and a
pedigree
}
\examples{
library(nprcgenekeepr)
data("qcBreeders")
data("qcPed")
df <- addSexAndAgeToGroup(ids = qcBreeders, ped = qcPed)
head(df)
}
