% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/getLkDirectAncestors.R
\name{getLkDirectAncestors}
\alias{getLkDirectAncestors}
\title{Get the direct ancestors of selected animals}
\usage{
getLkDirectAncestors(ids)
}
\arguments{
\item{ids}{character vector with Ids.}
}
\value{
data.frame with pedigree structure having all of the direct ancestors
for the Ids provided.
}
\description{
Gets direct ancestors from labkey \code{study} schema and \code{demographics}
table.
}
\examples{
\donttest{
# Requires LabKey connection
library(nprcgenekeepr)
## Have to a vector of focal animals
focalAnimals <- c("1X2701", "1X0101")
suppressWarnings(getLkDirectAncestors(ids = focalAnimals))
}
}
