% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/getLogo.R
\name{getLogo}
\alias{getLogo}
\title{Get Logo file name}
\usage{
getLogo()
}
\value{
A character vector of length one having the name of the logo file
used in the \code{Input} tab. A warning is returned if the configuration
file is not found.
}
\description{
Get Logo file name
}
\examples{
result <- tryCatch(
  {
    getLogo()
  },
  warning = function(w) {
    print(paste0(
      "Warning in getLogo: ", w, ". File is to be ",
      suppressWarnings(getLogo())$file
    ))
  },
  error = function(e) {
    print(paste0("Error in in getLogo: ", e))
  }
)
}
