% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{lacy1989Ped}
\alias{lacy1989Ped}
\title{lacy1989Ped small hypothetical pedigree}
\format{
An object of class \code{data.frame} with 7 rows and 5 columns.
}
\source{
lacy1989Ped is a dataframe containing the small hypothetical
pedigree of three founders and four descendants used
by Robert C. Lacy in "Analysis of Founder Representation in Pedigrees:
Founder Equivalents and Founder Genome Equivalents" Zoo Biology 8:111-123
(1989).

The founders (\code{A}, \code{B}, \code{E}) have unknown parentages and are
assumed to have independent ancestries.
\describe{
\item{id}{character column of animal IDs}
\item{sire}{the male parent of the animal indicated by the \code{id} column.
Unknown sires are indicated with \code{NA}}
\item{dam}{the female parent of the animal indicated by the \code{id}
column.Unknown dams are indicated with \code{NA}}
\item{gen}{generation number (integers beginning with 0 for the founder
generation) of the animal indicated by the \code{id} column.}
\item{population}{logical vector with all values set TRUE}
}
}
\usage{
lacy1989Ped
}
\description{
lacy1989Ped small hypothetical pedigree
}
\keyword{datasets}
